<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('bil_pelbagais', function (Blueprint $table) {
            $table->id();
            $table->enum('cara_jana', ['mylesen','epbt'])->default('epbt');
            $table->integer('lesen_penjaja_id');
            $table->enum('status_mylesen', ['0','1','2'])->default('2');
            $table->string('status_mylesen_error')->nullable();
            $table->string('ref_no')->nullable();
            $table->string('description')->nullable();
            $table->string('pay_status')->nullable();
            $table->string('jabatan')->nullable();
            $table->string('gst_rate')->nullable();
            $table->string('client_key');
            $table->string('ent_opr')->nullable();
            $table->string('client_type')->nullable();
            $table->string('status_epbt')->nullable();
            $table->string('return_param')->nullable();
            $table->string('no_bilpelbagai')->nullable();
            $table->dateTime('dt_bayar', precision: 0);
            $table->string('no_resit')->nullable();
            $table->double('amaun_bayar');
            $table->string('catatan')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('bil_pelbagais');
    }
};
